advancement grant @a[tag=!player] from minecraft:recipes/root
recipe take @a[tag=!player] *
execute unless entity @a[tag=player] unless entity @a[tag=spec] run function boneless:recipes
execute unless entity @a[tag=player] run tag @r add player
execute if entity @a[tag=player] as @a[tag=!player,tag=!spec] run tellraw @s {"text":"This map is for single-player only. You have been put into spectator mode, and you cannot interact with anything; however, note that switching out of spectator mode will break the map for all players.","color":"red"}
execute if entity @a[tag=player] as @a[tag=!player,tag=!spec] run gamemode spectator @s
execute if entity @a[tag=player] as @a[tag=!player] run tag @s add spec
effect give @a minecraft:night_vision 15 1 true
effect give @a[gamemode=!spectator,tag=!game] minecraft:saturation 2 1 true
effect give @a[gamemode=!spectator,tag=game] minecraft:hunger 3 100 true
effect give @a[gamemode=!spectator,tag=slow] minecraft:slowness 4 6 true
effect give @a[gamemode=!spectator,tag=slow] minecraft:jump_boost 5 200 true
effect give @a[gamemode=!spectator] minecraft:resistance 7 5 true
execute as @a[gamemode=!spectator,scores={food=..2}] run effect give @s minecraft:saturation 1 1 true
function boneless:start/map_maker_stand
function boneless:buttons
execute if entity @a[gamemode=!spectator,tag=timer] run function boneless:methods/increase_timer
execute if entity @a[scores={startTimer=1..}] run function boneless:timers/start_timer
execute if entity @a[gamemode=!spectator,tag=startButtonTimer] run function boneless:timers/start_button_timer
execute if entity @a[gamemode=!spectator,scores={introTimer=1..}] run function boneless:timers/intro_timer
execute if entity @a[gamemode=!spectator,tag=lvl1Button] run function boneless:timers/lvl1_button_timer
execute if entity @a[gamemode=!spectator,scores={lvl2Timer=1..}] run function boneless:timers/lvl2_timer
execute if entity @a[gamemode=!spectator,tag=level2] run function boneless:levels/level2
execute if entity @a[gamemode=!spectator,tag=level3] run function boneless:levels/level3
execute if entity @a[gamemode=!spectator,tag=level4] run function boneless:levels/level4
execute if entity @a[gamemode=!spectator,tag=level5] run function boneless:levels/level5
execute if entity @a[gamemode=!spectator,scores={lvl5Tip=1..}] run function boneless:timers/lvl5_tip_timer
execute if entity @a[gamemode=!spectator,scores={lvl5_death_timer=1..}] run function boneless:timers/lvl5_death_timer
execute if entity @a[gamemode=!spectator,tag=level6] run function boneless:levels/level6
execute if entity @a[gamemode=!spectator,scores={next=1..}] run function boneless:timers/lvl6_next
execute if entity @a[gamemode=!spectator,scores={lvl6_choice=1..}] run function boneless:timers/lvl6_choice
execute if entity @a[gamemode=!spectator,scores={level7=1..}] run function boneless:timers/lvl7_timer
execute if entity @a[gamemode=!spectator,tag=level7] run function boneless:levels/level7
execute if entity @a[gamemode=!spectator,tag=level8] run function boneless:levels/level8
execute if entity @a[gamemode=!spectator,scores={lvl8Tip=1..}] run function boneless:timers/lvl8_tip_timer
execute if entity @a[gamemode=!spectator,tag=level9] run function boneless:levels/level9
execute if entity @a[gamemode=!spectator,scores={barrel_timer=1..}] run function boneless:timers/barrel_timer
execute if entity @a[gamemode=!spectator,scores={lvl9_death_timer=1..}] run function boneless:timers/lvl9_death_timer
execute as @e[type=item] run data merge entity @s {Age:-32768,PickupDelay:1}
execute if entity @a[gamemode=!spectator,scores={level10=1..}] run function boneless:timers/lvl10_timer